Gentoo Archives: gentoo-commits

From: Patrice Clement <monsieurp@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/terraform/
Date: Thu, 28 Feb 2019 22:49:51
Message-Id: 1551394175.741c18278755f8ef6420ecbbc58e5eeb7fd96c79.monsieurp@gentoo
commit:     741c18278755f8ef6420ecbbc58e5eeb7fd96c79
Author:     Dan Molik <dan <AT> danmolik <DOT> com>
AuthorDate: Tue Feb  5 12:51:44 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Feb 28 22:49:35 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=741c1827

app-admin/terraform: add DOCS and post-install instructions.

Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Dan Molik <dan <AT> danmolik.com>
Closes: https://github.com/gentoo/gentoo/pull/10987
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-admin/terraform/terraform-0.11.11-r1.ebuild | 39 +++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/app-admin/terraform/terraform-0.11.11-r1.ebuild b/app-admin/terraform/terraform-0.11.11-r1.ebuild
new file mode 100644
index 00000000000..7fbea19820f
--- /dev/null
+++ b/app-admin/terraform/terraform-0.11.11-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot
+
+DESCRIPTION="A tool for building, changing, and combining infrastructure safely"
+HOMEPAGE="https://www.terraform.io/"
+
+EGO_PN="github.com/hashicorp/${PN}"
+SRC_URI="https://github.com/hashicorp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+DEPEND=">=dev-lang/go-1.11.0"
+
+DOCS="README.md CHANGELOG.md"
+
+src_compile() {
+	cd "src/${EGO_PN}" || die
+	GOPATH="${S}" GOCACHE="${T}/go-cache" go build \
+		-v -work -o "${S}/${PN}" ./ || die
+}
+
+src_install() {
+	dobin terraform
+
+	pushd "src/${EGO_PN}" || die
+	einstalldocs
+	popd || die
+}
+
+pkg_postinst() {
+	elog "If you would like to install shell completions please run:"
+	elog "    terraform -install-autocomplete"
+}